Cdiscount Search
Extract product listings from Cdiscount search results or category pages for market intelligence and competitive analysis.
Credit cost: 2 credits per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
Cdiscount search results page URL. Use any URL from a search or category browse on cdiscount.com.
Example:
https://www.cdiscount.com/search/10/laptop.htmlNotes:
- You can use keyword search URLs (e.g.
/search/10/{keyword}.html) or category browse URLs (e.g./informatique/ordinateurs-pc-portables/...) - Pagination and filter parameters present in the URL are respected.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/cdiscount/search?query=string"{
"products": [
{
"id": "aaaph06865",
"url": "https://www.cdiscount.com/informatique/ordinateurs-pc-portables/acemagic-pc-portables-gaming/f-1070992-aaaph06865.html",
"image": "https://www.cdiscount.com/pdt2/8/6/5/1/300x300/aaaph06865/rw/acemagic-pc-portables-gaming.jpg",
"price": 429.99,
"title": "ACEMAGIC PC Portables Gaming - 15.6\" FHD, AMD Ryzen 7 5700U, 16Go RAM, 512Go SSD",
"rating": 4,
"seller": {
"id": 405259,
"name": "BOOMING"
},
"description": null,
"is_sponsored": false,
"original_price": 499.9,
"free_shipping": true,
"reviews_count": 2
},
{
"id": "aaaaq86960",
"url": "https://www.cdiscount.com/informatique/ordinateurs-pc-portables/ordinateur-portable-laptop-hp/f-1070992-aaaaq86960.html",
"image": "https://www.cdiscount.com/pdt2/9/6/0/1/300x300/aaaaq86960/rw/ordinateur-portable-laptop-hp.jpg",
"price": 759.99,
"title": "ORDINATEUR PORTABLE LAPTOP HP 15-EH3001SF RAM 16 Go SSD 512 Go - ARGENT NATUREL",
"seller": {
"id": 80174,
"name": "MegaMarket"
},
"description": null,
"is_sponsored": false,
"original_price": 999.99
}
],
"pagination": {
"next": 2,
"current": 1,
"other_pages": [
2
],
"total_pages": 2,
"has_next_page": true
}
}{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}